#pragma once

#include "CoreMinimal.h"
#include "BaseSurvivorAnimInstance.h"
#include "UObject/NoExportTypes.h"
#include "K38SurvivorAnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class THEK38_API UK38SurvivorAnimInstance : public UBaseSurvivorAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isPerformingRescueAnimation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isHeldByDog;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isMale;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector _dogJawLocation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _animSpeed;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _forwardVelocity;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _lateralVelocity;

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FName _dogJawSocket;

public:
	UK38SurvivorAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UK38SurvivorAnimInstance) { return 0; }
